Import Pub.Mappy

Const MSPERFRAME = 15	'speed of game, 10 = 100 fps, 15 = 75fps, 20 = 50 fps etc

Global px = 0
Global py = 0
Global smooth = 0

Graphics 640, 480

Local map:MappyMap=New MappyMap
map.MapLoad("ISOTST.FMP")
map.MapInitAnims()

time=MilliSecs()
While Not MouseHit(MOUSE_LEFT) And Not KeyHit(KEY_ESCAPE)
	Cls
'Toggle between 'smooth' and 'timed' updates with spacebar
'Smooth = updates every frame, smooth, but different speeds on every PC
'Timed  = Updates at the same speed on every PC, but Not as smoothly
	If (KeyHit(KEY_SPACE)) Then smooth = 1-smooth
	n_time=MilliSecs()

	If (smooth)
		elapsed = MSPERFRAME
		cnt=1
	Else
		If (time > (n_time+MSPERFRAME)) Then time = n_time+MSPERFRAME
		elapsed=n_time-time
		cnt=elapsed/MSPERFRAME
		If ((elapsed Mod MSPERFRAME) > (MSPERFRAME/2)) Then cnt = cnt + 1
		time=time+cnt*MSPERFRAME
		If (cnt > 10) Then cnt = 10
	End If
		
	If cnt>0
			For k=1 To cnt
				map.MapUpdateAnims()
				py = py + pdir
				px = px + (pdir*2)
				If (px >= 600) pdir = -1
				If (px <= 0) pdir = 1
			Next
		map.MapDrawBG(px, py, 0, 0, 640, 480)
		For n = 0 To 42
	' Draw your sprites between the rows
			map.MapDrawRow(px, py, 0, 0, 640, 480, n)
		Next

	Flip
	EndIf
Wend
map.MapFreeMem()
EndGraphics
End