Import Pub.Mappy

Global px = 0, px2 = 0
Global py = 0, py2 = 900
Global pdir = 0, pdir2 = 0
Global smooth = 0

'SetGraphicsDriver(GLGraphicsDriver())

Graphics 640, 480
Local map:MappyMap=New MappyMap
map.MapLoad("TEST2.FMP")
map.MapInitAnims()

time=MilliSecs()
While Not MouseHit(MOUSE_LEFT) And Not KeyHit(KEY_ESCAPE)
	Cls	
';Toggle between 'smooth' and 'timed' updates with spacebar
';Smooth = updates every frame, smooth, but different speeds on every PC
';Timed  = Updates at the same speed on every PC, but Not as smoothly
	If (KeyHit(KEY_SPACE)) Then smooth = 1-smooth
	n_time=MilliSecs()
	If (smooth)
		elapsed = 15
		cnt=1
	Else
		If (time > n_time) Then time = n_time
		elapsed=n_time-time
		cnt=elapsed/15
		time=time+cnt*15
		If (cnt > 10) Then cnt = 10
	End If
	If elapsed>=15
		For k=1 To cnt
';Next anim frames
			map.MapUpdateAnims()
			py = py + pdir
			px = px + pdir
			If (px >= 900) pdir = -1
			If (px <= 0) pdir = 1
			py2 = py2 - pdir2
			px2 = px2 + pdir2
			If (px2 >= 900) pdir2 = -2
			If (px2 <= 0) pdir2 = 2
		Next
	
';1st view
	SetColor 200,0,0
	DrawRect 0, 0, 320, 20
	DrawRect 0, 20, 20, 440
	DrawRect 300, 20, 20, 440
	DrawRect 0, 460, 320, 20
';Draw BG at map coords px, py And at screen pos 20, 20 at size 280, 440
	map.MapDrawBG(px, py, 20, 20, 280, 440)
';Draw FG layer 0
	map.MapDrawFG(px, py, 20, 20, 280, 440, 0)

	SetViewport 0, 0, 640, 480		';Reset viewport To whole screen

';2nd view
	SetColor 0,0,200
	DrawRect 320, 0, 320, 20
	DrawRect 320, 20, 20, 440
	DrawRect 620, 20, 20, 440
	DrawRect 320, 460, 320, 20
';Draw BG at map coords px, py And at screen pos 340, 20 at size 280, 440
	map.MapDrawBG(px2, py2, 340, 20, 280, 440)
';Draw FG layer 0
	map.MapDrawFG(px2, py2, 340, 20, 280, 440, 0)
	
	SetViewport 0, 0, 640, 480		';Reset viewport To whole screen

	Flip
	EndIf
Wend
map.MapFreeMem()
EndGraphics
End
