Framework BRL.Basic
';Demonstrates how To find the x And y block coords pixel perfectly
';with funny shape tiles (like isometric)
';Example For MappyBB, see mappybb.bb For more info

';Just include mappybb like this, keep the file in same folder
Import Pub.Mappy
'Import BRL.Max2D
Import BRL.GLMax2D

SetGraphicsDriver(GLMax2DDriver())

Global px = 20		';some random coords just To demo
Global py = 40

Graphics 640, 480
Local map:MappyMap=New MappyMap
map.MapLoad("HEXTST.FMP")
map.MapInitAnims()

SetClsColor(255,255,255)

time=MilliSecs()
While Not MouseHit(MOUSE_LEFT) And Not KeyHit(KEY_ESCAPE)

	Cls
		
	map.MapDrawBG(px, py, 0, 0, 640, 480)
	map.MapDrawFG(px, py, 0, 0, 640, 480, 0)
	Plot MouseX (), MouseY ()
	DrawText "mouse is over block at "+map.MapGetXOffset(px+MouseX(), py+MouseY())+", "+map.MapGetYOffset(px+MouseX(), py+MouseY()),0,0

	Flip
Wend
map.MapFreeMem()
EndGraphics
End
