Strict

Import Pub.Mappy

Const MSPERFRAME = 15	';speed of game, 10 = 100 fps, 15 = 75fps, 20 = 50 fps etc

Const scrnw = 320		';If you can't do 320x240, change to 640x480
Const scrnh = 240
Global scrlx = 0		';map coords in pixels
Global scrly = 0
Global playerx = 80		';coords in pixels from top Left of the map
Global playery = 700
Global oldx, oldy, jump
SetGraphicsDriver GLMax2DDriver()
Graphics scrnw, scrnh
';This map uses 16x16 tiles, which are too small For 640*480 really
Global map:MappyMap=New MappyMap
map.MapLoad("MPGAME.FMP")
map.MapInitAnims()

Local smooth:Int=False

Local time:Long=MilliSecs()
Local elapsed:Long=0
Local cnt:Int=0

While Not MouseHit(MOUSE_LEFT) And Not KeyHit(KEY_ESCAPE)
	Cls

	If (KeyHit(KEY_SPACE)) Then smooth = 1-smooth
	Local n_time:Long=MilliSecs()
	If (smooth)
		elapsed = MSPERFRAME
		cnt=1
	Else
		If (time > (n_time+MSPERFRAME)) Then time = n_time+MSPERFRAME
		elapsed=n_time-time
		cnt=elapsed/MSPERFRAME
		If ((elapsed Mod MSPERFRAME) > (MSPERFRAME/2)) Then cnt = cnt + 1
		time=time+cnt*MSPERFRAME
		If (cnt > 10) Then cnt = 10
	End If
	If cnt>0
		For Local k:Int=1 To cnt
';Next anim frames
			map.MapUpdateAnims ()
';centre display on player
			scrlx = (playerx+8)-(scrnw/2)
			scrly = (playery+16)-(scrnh/2)
';Important Not To draw areas off the map
			If scrlx < 0 Then scrlx = 0
			If scrly < 0 Then scrly = 0
			If scrlx > (map.mapwidth*map.mapblockwidth-scrnw) Then scrlx = map.mapwidth*map.mapblockwidth-scrnw
			If scrly > (map.mapheight*map.mapblockheight-scrnh) Then scrly = map.mapheight*map.mapblockheight-scrnh

';Move player
			oldx = playerx
			oldy = playery
;'use up, Left And Right cursor keys
			If KeyDown(KEY_LEFT) Then playerx = playerx - 2
			If KeyDown(KEY_RIGHT) Then playerx = playerx + 2
			If KeyDown(KEY_UP) And jump = 1234 Then jump = 24
			If jump <> 1234
				playery = playery - (jump/4)
				jump = jump - 1
			Else
				If Not map.MapCollision(playerx+8, playery+32) Then jump = 0
			End If
			If jump < 0
				If map.MapCollision(playerx+8, playery+32)
					jump = 1234
					While map.MapCollision(playerx+8, playery+30)
						playery = playery - 2
					Wend
				End If
			End If
			If playerx < oldx
				If map.MapCollision(playerx, playery+30) Then playerx = oldx
			Else
				If map.MapCollision(playerx+15, playery+30) Then playerx = oldx
			End If
';Collect the aliens
			map.mapcurlyr = 1	';check For collisions on aliens layer
			If map.MapCollision((playerx+2), playery+30)	';check a point on Left side of player against tiles
				map.MapSetBlock((playerx+2)/map.mapblockwidth, (playery+30)/map.mapblockheight, 0)	';clear cell
			End If
			If map.MapCollision((playerx+14), playery+30)	';check a point on Right side of player against tiles
				map.MapSetBlock((playerx+14)/map.mapblockwidth, (playery+30)/map.mapblockheight, 0)	';clear cell
			End If
			map.mapcurlyr = 0	';back To layer 0
		Next
	
';Draw BG at map coords px, py And at screen pos 0, 0 at size 640, 480
	map.MapDrawBG(scrlx, scrly, 0, 0, scrnw, scrnh)
';Draw player between layers (just a rectangle For now :)
	SetColor 255, 0, 0
';To convert Global coords To screen coords, subtract map offset like this:
	DrawRect playerx-scrlx, playery-scrly, 16, 32
';Draw FG layer 0
	map.MapDrawFG(scrlx, scrly, 0, 0, scrnw, scrnh, 0)
	map.mapcurlyr = 1	';change To Next layer with aliens on
	map.MapDrawFG(scrlx, scrly, 0, 0, scrnw, scrnh, 0)
	map.mapcurlyr = 0 ';change back To main layer

	Flip
	EndIf
Wend
map.MapFreeMem()
EndGraphics
End

